\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
		\begin{axis}[
			ylabel=Tiempo (segundos),
			xlabel=Número de \textit{threads},
			%
			ymode=log,
			log basis y={10},
			xmode=log,
			log basis x={2},
			log ticks with fixed point,
			%
			xticklabel style={
				/pgf/number format/fixed,
				/pgf/number format/precision=3
			},
			scaled x ticks=true,
			scaled y ticks=true,
		]
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_cache_results/matrix_multiplication_ijk.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_cache_results/matrix_multiplication_ikj.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_cache_results/matrix_multiplication_jki.csv};
		
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_memory_results/matrix_multiplication_ijk.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_memory_results/matrix_multiplication_ikj.csv};
		
		\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}] {../../resultados/matrix_multiplication_benchmarks/quadrant_memory_results/matrix_multiplication_jki.csv};
	
		\legend{
			$ijk$--caché, 
			$ikj$--caché, 
			$jki$--caché, 
			$ijk$--\textit{flat}, 
			$ikj$--\textit{flat}, 
			$jki$--\textit{flat}
		}
		\end{axis}
	\end{tikzpicture}
	\caption{Variación en los tiempos de ejecución según el número de \textit{threads} con la configuración \textit{quadrant} y orden de las matrices $n=4000$.}
	\label{fig:quadrant-cache-threads-4000}
\end{figure}